swupdate (2026.05.1+dfsg-1ubuntu1) stonking; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Use O2 on ppc64el to fix a test failure

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 25 Jun 2026 16:39:26 +0200

swupdate (2026.05.1+dfsg-1) unstable; urgency=medium

  * Team upload
  * New upstream version 2026.05.1+dfsg

 -- Bastian Germann <bage@debian.org>  Wed, 24 Jun 2026 11:57:46 +0200

swupdate (2026.05+dfsg-4ubuntu1) stonking; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Use O2 on ppc64el to fix a test failure

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 22 Jun 2026 12:57:09 +0200

swupdate (2026.05+dfsg-4) unstable; urgency=medium

  * Team upload
  * Team-maintain the package

 -- Bastian Germann <bage@debian.org>  Fri, 19 Jun 2026 13:12:31 +0200

swupdate (2026.05+dfsg-3ubuntu1) stonking; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Use O2 on ppc64el to fix a test failure

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 18 Jun 2026 10:29:22 +0200

swupdate (2026.05+dfsg-3) unstable; urgency=medium

  * Disable wolfSSL crypto backend

 -- Bastian Germann <bage@debian.org>  Sun, 07 Jun 2026 23:04:23 +0200

swupdate (2026.05+dfsg-2) unstable; urgency=medium

  * Fix 32 bit builds

 -- Bastian Germann <bage@debian.org>  Sat, 30 May 2026 02:31:45 +0200

swupdate (2026.05+dfsg-1) unstable; urgency=medium

  * New upstream version 2026.05+dfsg
  * d/copyright: Update to new version
  * Enable lz4 decompression
  * Enable RSA PSS

 -- Bastian Germann <bage@debian.org>  Sat, 30 May 2026 01:32:34 +0200

swupdate (2025.12+dfsg-10ubuntu1) stonking; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Use O2 on ppc64el to fix a test failure

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 07 May 2026 10:08:09 +0200

swupdate (2025.12+dfsg-10) unstable; urgency=medium

  * Enable the eMMC handler
  * Build with packaged mongoose (Closes: #1134977,
    CVE-2026-2966, CVE-2026-2967, CVE-2026-2968, CVE-2026-5244,
    CVE-2026-5245, CVE-2026-5246, CVE-2026-6985, CVE-2026-6986)

 -- Bastian Germann <bage@debian.org>  Wed, 06 May 2026 16:17:06 +0200

swupdate (2025.12+dfsg-9) unstable; urgency=medium

  * Use original fontawesome instead of fork awesome
  * Use dh-sequence-builtusing
  * Apply ustream CVE-2026-28525 patch

 -- Bastian Germann <bage@debian.org>  Sat, 02 May 2026 11:24:12 +0200

swupdate (2025.12+dfsg-8) unstable; urgency=medium

  * Prevent stripping the binary (Closes: #1134531)

 -- Bastian Germann <bage@debian.org>  Wed, 22 Apr 2026 17:08:00 +0200

swupdate (2025.12+dfsg-7) unstable; urgency=medium

  * Enable PKCS#11 again
  * Add Build-Profile pkg.swupdate.openssl

 -- Bastian Germann <bage@debian.org>  Thu, 16 Apr 2026 08:48:56 +0200

swupdate (2025.12+dfsg-6) unstable; urgency=medium

  * Drop unnecessary CFLAGS addition
  * Re-enable OpenSSL (broken PKCS#7)

 -- Bastian Germann <bage@debian.org>  Thu, 26 Mar 2026 17:39:32 +0100

swupdate (2025.12+dfsg-5) unstable; urgency=medium

  * Revert "Switch curl backend to openssl"
  * Switch back from OpenSSL to wolfSSL

 -- Bastian Germann <bage@debian.org>  Mon, 23 Mar 2026 01:53:04 +0100

swupdate (2025.12+dfsg-4ubuntu1) resolute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Use O2 on ppc64el to fix a test failure

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 27 Feb 2026 15:11:11 +0100

swupdate (2025.12+dfsg-4) unstable; urgency=medium

  * Update to lua5.5
  * Drop ia64 from architecture list

 -- Bastian Germann <bage@debian.org>  Thu, 26 Feb 2026 19:26:58 +0100

swupdate (2025.12+dfsg-3ubuntu1) resolute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Use O2 on ppc64el to fix a test failure

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 14 Feb 2026 11:42:02 +0100

swupdate (2025.12+dfsg-3) unstable; urgency=medium

  * Configure the socket paths at compile time

 -- Bastian Germann <bage@debian.org>  Thu, 12 Feb 2026 13:17:55 +0100

swupdate (2025.12+dfsg-2ubuntu1) resolute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Use O2 on ppc64el to fix a test failure

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 20 Dec 2025 05:23:59 +0100

swupdate (2025.12+dfsg-2) unstable; urgency=medium

  * Declare public key or gpg cfg mandatory

 -- Bastian Germann <bage@debian.org>  Fri, 19 Dec 2025 17:29:49 +0100

swupdate (2025.12+dfsg-1ubuntu1) resolute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Use O2 on ppc64el to fix a test failure

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 09 Dec 2025 14:49:51 +0100

swupdate (2025.12+dfsg-1) unstable; urgency=medium

  * New upstream version 2025.12+dfsg
  * Revert "Backport: suricatta/wfx: Fix rebooting (Closes: #1118485)"
  * Revert "Backport: Fix out-of-tree build"
  * Document symbol swupdate_set_version_range_type
  * d/copyright: Add new info
  * Clean more test files
  * Enable xz decompression
  * Enable Mbed TLS and GPGME with additional signature algorithms

 -- Bastian Germann <bage@debian.org>  Mon, 08 Dec 2025 19:34:23 +0100

swupdate (2025.05+dfsg-3ubuntu1) resolute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Use O2 on ppc64el to fix a test failure

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 21 Oct 2025 20:41:58 +0200

swupdate (2025.05+dfsg-3) unstable; urgency=medium

  * Switch curl backend to openssl
  * Backport: suricatta/wfx: Fix rebooting (Closes: #1118485)

 -- Bastian Germann <bage@debian.org>  Tue, 21 Oct 2025 11:36:51 +0200

swupdate (2025.05+dfsg-2ubuntu1) questing; urgency=medium

  * Use O2 on ppc64el to fix a test failure

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 28 Aug 2025 09:23:36 +0200

swupdate (2025.05+dfsg-2) unstable; urgency=medium

  * Fix nodoc build
  * Ignore new test fails on armhf/armel
  * Backport: Fix out-of-tree build
  * Remove the pkcs11 build profile pkg.swupdate.p11
  * Switch back to the OpenSSL crypto backend

 -- Bastian Germann <bage@debian.org>  Sun, 10 Aug 2025 12:34:17 +0200

swupdate (2025.05+dfsg-1) experimental; urgency=medium

  * New upstream version 2025.05+dfsg
  * d/copyright: Adjust info

 -- Bastian Germann <bage@debian.org>  Sun, 11 May 2025 19:24:34 +0200

swupdate (2024.12.1+dfsg-3) unstable; urgency=medium

  [ Quirin Gylstorff ]
  * swupdate.swupdate-progress.service: Add missing runtime socket

 -- Bastian Germann <bage@debian.org>  Mon, 14 Jul 2025 12:55:55 +0200

swupdate (2024.12.1+dfsg-2) unstable; urgency=medium

  [ Quirin Gylstorff ]
  * Preserve the runtime directory during a service restart

 -- Bastian Germann <bage@debian.org>  Mon, 07 Jul 2025 08:45:08 +0200

swupdate (2024.12.1+dfsg-1) unstable; urgency=medium

  * New upstream version 2024.12.1+dfsg
  * d/copyright: Add lua_compat.h

 -- Bastian Germann <bage@debian.org>  Thu, 23 Jan 2025 23:25:03 +0100

swupdate (2024.12+dfsg-2) unstable; urgency=medium

  * Drop tests that build another binary

 -- Bastian Germann <bage@debian.org>  Thu, 05 Dec 2024 19:35:30 +0000

swupdate (2024.12+dfsg-1) unstable; urgency=medium

  * New upstream version 2024.12+dfsg
  * Drop upstream patch
  * Add copyright info for new version
  * Let mongoose link with wolfssl
  * Add new symbol progress_ipc_receive_nb

  [ Daniel Braunwarth ]
  * Fix bootstrap JavaScript path

 -- Bastian Germann <bage@debian.org>  Wed, 04 Dec 2024 18:37:55 +0000

swupdate (2024.05.2+dfsg-2) unstable; urgency=medium

  * Apply dh-gencontrol Arch/Indep split
  * Make udev/btrfs config Linux-specific
  * Drop non-existing Recommends (successor now in Depends)

 -- Bastian Germann <bage@debian.org>  Fri, 27 Sep 2024 19:44:59 +0200

swupdate (2024.05.2+dfsg-1) unstable; urgency=medium

  * New upstream version 2024.05.2+dfsg
  * Add description on socket path config

  [ Quirin Gylstorff ]
  * d/config: Change socket paths from /tmp to /run/swupdate

 -- Bastian Germann <bage@debian.org>  Fri, 21 Jun 2024 16:29:51 +0200

swupdate (2024.05+dfsg-1) unstable; urgency=medium

  * New upstream version 2024.05+dfsg
  * Drop pkg.swupdate.bpo build profile
  * Arch/Indep package split with reduced Build-Depends
  * Depend on Boostrap 5
  * Upstream patch: Fix include path in server_lua
  * Let options.h be the first wolfSSL include

  [ Quirin Gylstorff ]
  * d/swupdate.service: Use Type notify
  * d/swupdate.service: Try to restart SWUpdate on-failure

  [ Dandan Zhang ]
  * Build with efibootguard on loong64 (Closes: #1060886)

 -- Bastian Germann <bage@debian.org>  Fri, 31 May 2024 18:14:43 +0200

swupdate (2023.12.1+dfsg-2) unstable; urgency=medium

  [ Helmut Grohne ]
  * Move from dh-sysuser to standard dh_installsysusers (Closes: #1069925)

 -- Bastian Germann <bage@debian.org>  Sat, 27 Apr 2024 10:00:05 +0200

swupdate (2023.12.1+dfsg-1) unstable; urgency=medium

  * Enable new options, primarily docker support
  * Build with lua 5.4
  * Enable wfx module
  * New upstream version 2023.12.1+dfsg

 -- Bastian Germann <bage@debian.org>  Mon, 12 Feb 2024 23:12:48 +0000

swupdate (2023.12+dfsg-1) unstable; urgency=medium

  * Upstream does not sign releases anymore
  * New upstream version 2023.12+dfsg
  * Version the libubootenv dependency
  * Add new symbol SOCKET_CTRL_PATH

 -- Bastian Germann <bage@debian.org>  Wed, 20 Dec 2023 14:41:43 +0100

swupdate (2023.05+dfsg-5) unstable; urgency=medium

  * Add swupdate system user
  * Create the sockets for group use with SocketMode 0660

 -- Bastian Germann <bage@debian.org>  Mon, 27 Nov 2023 11:10:38 +0100

swupdate (2023.05+dfsg-4) unstable; urgency=medium

  * Change SocketMode from default 0666 to 0664

 -- Bastian Germann <bage@debian.org>  Mon, 13 Nov 2023 20:34:18 +0100

swupdate (2023.05+dfsg-3) unstable; urgency=medium

  * swupdate-www: Do not sed replace in-place (Closes: #1046423)

  [ Quirin Gylstorff ]
  * d/control: Add libubootenv0.1 and libebgenv as recommended packages

 -- Bastian Germann <bage@debian.org>  Tue, 15 Aug 2023 15:52:39 +0200

swupdate (2023.05+dfsg-2) unstable; urgency=medium

  * Depend on newer wolfssl

 -- Bastian Germann <bage@debian.org>  Mon, 12 Jun 2023 16:43:21 +0200

swupdate (2023.05+dfsg-1) experimental; urgency=medium

  * New upstream version 2023.05+dfsg
  * Require zchunk with ZCK_NO_WRITE symbol
  * Enable copy handler
  * d/copyright: Apply 2023.05 changes
  * Enable all suricatta configurations
  * Switch to wolfSSL crypto backend
  * Clean/build statemachine.png at the right time
  * Enable btrfs creation

 -- Bastian Germann <bage@debian.org>  Wed, 24 May 2023 13:06:08 +0200

swupdate (2022.12+dfsg-4) unstable; urgency=medium

  * Enable backported libebgenv-dev
  * Revert "d/configs/defconfig: Add CONFIG_SURICATTA_LUA" (Closes: #1033943)
  * Introduce a pkg.swupdate.noswuforwarder profile

 -- Bastian Germann <bage@debian.org>  Tue, 04 Apr 2023 15:36:06 +0200

swupdate (2022.12+dfsg-3) unstable; urgency=high

  * Recover the pkcs11 build profile pkg.swupdate.p11

 -- Bastian Germann <bage@debian.org>  Sun, 12 Feb 2023 13:50:34 +0100

swupdate (2022.12+dfsg-2) unstable; urgency=medium

  * Remove the pkcs11 build profile pkg.swupdate.p11
  * Fix Built-Using after swupdate-www's introduction

  [ Quirin Gylstorff ]
  * d/configs/defconfig: Add CONFIG_SURICATTA_LUA
  * d/configs/defconfig: Add CONFIG_CMS_SKIP_UNKOWN_SIGNERS

 -- Bastian Germann <bage@debian.org>  Tue, 10 Jan 2023 01:54:24 +0100

swupdate (2022.12+dfsg-1) unstable; urgency=medium

  * New upstream version 2022.12
  * Add replace rule from gulp's minify-html
  * Make Build-Depends cross-installable
  * Add Built-Using for swupdate-www
  * Patch: Link config to swupdate-www path
  * Drop unneeded patch
  * Add B-D graphviz
  * d/copyright: Amend with new version's info
  * Fix lintian notices

 -- Bastian Germann <bage@debian.org>  Tue, 13 Dec 2022 23:56:54 +0100

swupdate (2022.05+dfsg-1) experimental; urgency=medium

  * Add lintian error overrides
  * Fix lintian: globbing-patterns-out-of-order
  * Add swupdate-www
  * Clean test_util so package can be rebuilt
  * Drop missing-sources and built web-app's copyright
  * Repack the source

  [ Debian Janitor ]
  * Apply multi-arch hints. + swupdate-doc: Add Multi-Arch: foreign.

 -- Bastian Germann <bage@debian.org>  Fri, 25 Nov 2022 02:15:31 +0100

swupdate (2022.05-2) unstable; urgency=medium

  * Enable Delta for bookworm
  * Enable UCFW handler
  * Enable CONFIG_UBOOT only for Linux
  * d/copyright: Fix lintian warnings
  * Fix lintian: spelling-error-in-readme-debian
  * Enable efibootguard by default
  * Synchronize missing full JavaScript sources

 -- Bastian Germann <bage@debian.org>  Fri, 30 Sep 2022 02:05:08 +0200

swupdate (2022.05-1) unstable; urgency=high

  * New upstream version 2022.05
  * d/copyright: Update to new version
  * d/changelog: Remove unreleased package revisions
  * Enable runtime u-boot/grub handling
  * Add docs for Debian package's features

  [ Quirin Gylstorff ]
  * Set CONFIG_HASH_VERIFY explicitly
  * Make CONFIG_HW_COMPATIBILTY optional
  * Move scripts to update from USB Stick to examples

 -- Bastian Germann <bage@debian.org>  Sat, 14 May 2022 18:27:34 +0200

swupdate (2021.11-1) unstable; urgency=medium

  * Add option to build with efibootguard
  * New upstream version 2021.11
  * Drop old and add new executables/manpages
  * Add new library symbols
  * Get conditional alternative build deps right
  * d/copyright: Amend with info from .reuse/dep5
  * d/copyright: Add missing license OFL-1.1
  * d/copyright: Amend with new version's changes
  * Enable diskformat handler and diskpart extension

 -- Bastian Germann <bage@debian.org>  Fri, 10 Dec 2021 23:55:38 +0100

swupdate (2021.04-2) unstable; urgency=medium

  * Update lua version to non-orphaned 5.3
  * Fix source-is-missing
  * Allow cross build with sphinx
  * Set bage as Maintainer (Closes: #1000211)

  [ Quirin Gylstorff ]
  * debian/config: Make signing optional

 -- Bastian Germann <bage@debian.org>  Mon, 22 Nov 2021 09:27:22 +0100

swupdate (2021.04-1.1) unstable; urgency=medium

  * Non-maintainer upload
  * Remove deprecated Salsa CI config
  * latexmk without :native is alternative build dependency (Closes: #997473)
  * Add tex-gyre build dependency

 -- Bastian Germann <bage@debian.org>  Sun, 24 Oct 2021 13:34:27 +0200

swupdate (2021.04-1) unstable; urgency=medium

  [ Bastian Germann ]
  * Add diskformat and uuid handlers
  * Add new symbol swupdate_set_version_range
  * d/control:
    - Fix cross builds issue by adding arch-independent build deps
      (Closes: #983045)
  * d/copyright:
    - Provide more accurate info.

  [ SZ Lin (林上智) ]
  * Import new upstream release (Closes: #987905)
  * Fix the content of the override file
  * d/control:
    - Bump Standards-Version to 4.6.0.1
  * d/tests/testsuite:
    - Remove unneeded symbolic link

 -- SZ Lin (林上智) <szlin@debian.org>  Wed, 15 Sep 2021 22:44:59 +0800

swupdate (2020.11-2) unstable; urgency=medium

  [ Bastian Germann ]
  * d/clean:
    - Clean leftover files via dh_clean (Closes: #979806)
  [ SZ Lin (林上智) ]
  * d/control:
    - Bump Standards-Version to 4.5.1

 -- SZ Lin (林上智) <szlin@debian.org>  Tue, 19 Jan 2021 15:56:14 +0800

swupdate (2020.11-1) unstable; urgency=medium

  [ Bastian Germann ]
  * Fix test failed issues on mipsel and mips64el platforms (Closes: #972691)
  * Drop upstream patch
  * Add a pkcs11 profile
  * Mark library packages Multi-Arch: same
  * Move swupdate-dev to libswupdate-dev
  * Add libswupdate0.1 package
  * Add 2020.11 copyright info
  * Remove unused build dependency
  * New upstream version 2020.11 (Closes: #976055)
  * Set CROSS_COMPILE default
  * Rename config option
  * Add grub profile and fall back to in memory state
  * d/copyright: Remove outdated link
  * d/copyright: Remove unclear OpenSSL exception
  * Trigger swupdate on usb media only
  * Disable remote handler

 -- SZ Lin (林上智) <szlin@debian.org>  Mon, 28 Dec 2020 17:07:42 +0800

swupdate (2020.04-2) unstable; urgency=low

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Remove obsolete field Name from debian/upstream/metadata (already present in
    machine-readable debian/copyright).

  [ Bastian Germann ]
  * Don't run unit tests on mips platforms
  * lintian: source-is-missing (line length)
  * Add MTD/UBI support (Closes: #967850)
  * dh: Rename .tmpfile to .tmpfiles
  * Introduce a pkg.swupdate.uboot profile
  * Don't autostart swupdate-usb
  * d/copyright: Match test_crypt.c only once

  [Nobuhiro Iwamatsu]
  * Add d/source/lintian-overrides.
    - Override source: source-is-missing debian/missing-sources/dropzone.js

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Thu, 22 Oct 2020 09:02:05 +0900

swupdate (2020.04-1) unstable; urgency=medium

  [ Nobuhiro Iwamatsu ]
  * Add d/missing-sources

  [ SZ Lin (林上智) ]
  * Bump Standards-Version to 4.5.0
  * Bump debhelper-compat to 13
  * Add configuration setting of Salsa CI
  * Add a dependency package for CI testing
  * Fix autopkgtest error

  [ Bastian Germann ]
  * Fix nodoc usage (Closes: #950772)
  * Introduce lua package and nolua profile
  * Remove file filter
  * defconfig: Activate CONFIG_SIGALG_CMS
  * defconfig: Set Debian's default grubenv path
  * defconfig: Save suricatta state in grubenv
  * defconfig: Enable rdiff handler
  * defconfig: Enable zstd compression
  * Update signing key for version 2020.04
  * Remove upstream patches
  * lintian: debian-rules-uses-as-needed-linker-flag
  * d/copyright: suricatta test files were moved
  * Add new handlers
  * Enable cross compilation
  * Add a backports profile
  * New upstream version 2020.04 (Closes: #948673)

 -- SZ Lin (林上智) <szlin@debian.org>  Sun, 05 Jul 2020 20:01:25 +0800

swupdate (2019.04+git20190903.c3ef374-1~exp1) experimental; urgency=medium

  * Snapshot, taken from the master (20190903). (Closes: #907041)
    - Change license for Logo.
  * Update d/copytight
    - Add license information of SWUpdate.svg.
  * Update d/control.
    - Add libwebsockets-dev, liburiparser-dev and libcmocka-dev to B-D.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 29 Oct 2019 23:46:31 +0900
